/* For Header */

header {
  background: linear-gradient(to right, #F1FAFF 15%, #0460b6 85%);
  color: #fff;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

h1 {
  margin: 0;
  font-size: 2em;
  font-weight: 300;
}

#menu-toggle {
  background: transparent;
  border: none;
  cursor: pointer;
  padding: 10px;
  font-size: 2em;
  color: #fff;
  display: none;
}


  .desktop-nav {
    float: right;
  }
  
  .desktop-nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
  }
  
  .desktop-nav li {
    display: inline-block;
    margin-right: 20px;
  }
  
  .desktop-nav a {
    text-decoration: none;
    color: #ffffff;
    font-weight: bold;
  }

@media screen and (max-width: 768px) {
  #menu-toggle {
    display: block;
  }
  .desktop-nav {
    display: none;
  }
  h1 {
    font-size: 1.5em;
  }
}

nav#side-menu {
  position: fixed;
  top: 0;
  right: 0;
  width: 250px;
  height: 100vh;
  background-color: #0460b6;
  padding: 20px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  transform: translateX(100%);
  transition: transform 0.3s ease-in-out;
}

nav#side-menu.open {
  transform: translateX(0);
}

nav#side-menu ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

nav#side-menu li a {
  display: block;
  padding: 10px;
  color: #fff;
  text-decoration: none;
  font-weight: bold;
  transition: background-color 0.3s ease-in-out;
}

nav#side-menu li a:hover {
  background-color: rgba(255, 255, 255, 0.1);
}


/* For Body */ 
/* General styles */

body {
  background-color: #F1FAFF;
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  font-size: 16px;
  
}

main {
  width: 90%;
  margin: 0 auto;
  padding: 20px;
  min-height: calc(100vh - 50px); /* Adjust for header height */
}

h2 {
  font-size: 24px;
  font-weight: bold;
  margin: 20px 0;
}

p {
  font-size: 16px;
  line-height: 1.5;
}

a {
  color: #007bff;
  text-decoration: none;
  padding: 5px;
  /* border: 1px solid #007bff;
  border-radius: 5px; FOR THE BUTTON BORDERS */
}

.TopButtonR {
  border: 2px solid #F1FAFF;
  color: #F1FAFF;
  border-radius: 5px;
}

.TopButtonL {
  border: 2px solid #F1FAFF;
  color: #0460b6;
  background-color: #F1FAFF;
  border-radius: 5px;
}

.deal {
  border: 1px solid #ddd;
  padding: 20px;
  margin-bottom: 20px;
  border-radius: 5px;
}

/* Specific section styles */

#welcome {
  background-color: #0460b6;
  /* background-image: url("Images/Assets/JVTS.jpeg"); Add a fitting image */
  color: #ffffff;
  padding: 40px;
  text-align: center;
  border-radius: 20px;
}

#welcome2 {
  background-color: #FBFBFB;
  /* background-image: url("Images/Assets/JVTS.jpeg"); Add a fitting image */
  color: #000000;
  padding: 20px;
  text-align: left;
  border-radius: 20px;
}




#ensure-roadworthiness {
  padding: 40px;
  min-height: calc(80vh - 40px); /* Adjust for body height */
  background-image: url("Images/Car1Trans.png");
  background-size: 400px;
  background-position-x: left;
  background-position-y: 100%;
  
  background-repeat: no-repeat;
}

.erimage {
  float: right;
  height: 320px;
  width: 480px;
  padding: 20px;
  border-radius: 20px;
}



#deals {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.deal h2 {
  margin: 0;
  padding: 10px;
  font-size: 18px;
}

.dealButton {
  border: 2px solid #0460b6;
  border-radius: 5px;
}

section {
  margin-bottom: 20px;
  padding-bottom: 10px;
  border-bottom: 1px solid #ddd;
}

section h2 {
  font-size: 1.5em;
  margin-bottom: 10px;
}

#services {
  padding: 20px 0;
}

.services-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
}

.service {
  width: 300px;
  margin: 10px;
}

.service img {
  /* max-width: 100%; for contstaints */
  width: 13.33cm;
  height: 10cm;
  object-fit: cover;
  border-radius: 15px;
}

.service h3 {
  margin-top: 10px;
  font-size: 18px;
}

.service p {
  margin-top: 10px;
  font-size: 16px;
  line-height: 1.5;
}

.cta {
  background-color: #F1FAFF;
  padding: 50px 0;
  border-radius: 15px;
  background-image: url("Images/Car2Trans.png");
  background-size: 400px;
  background-position-x: right;
  background-position-y: 0%;
  background-repeat: no-repeat;
  border: 5px solid #0460b6;
}

.cta .container {
  max-width: 1140px;
  margin: 0 auto;
}

.cta .row {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.cta .col-md-6 {
  width: 50%;
  padding: 0 15px;
}

.cta h2 {
  margin-bottom: 20px;
  font-size: 24px;
  font-weight: 700;
}

.cta p {
  margin-bottom: 20px;
  font-size: 16px;
  line-height: 1.5;
}

.cta a {
  display: inline-block;
  padding: 10px 20px;
  border: 2px solid #0460b6;
  border-radius: 5px;
  font-size: 16px;
  font-weight: 700;
  color: #000;
  text-decoration: none;
}

.cta a:hover {
  background-color: #0460b6;
  color: #fff;
}


/* Services Page */

.specificServices {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.service2 {
  width: 300px;
  margin: 10px;
}

.service2 img {
  width: 100%;
  height: auto;
  object-fit: cover;
  border-radius: 15px;
}

.service2 h3 {
  margin-top: 10px;
  font-size: 18px;
}

.service2 p {
  margin-top: 10px;
  font-size: 16px;
  line-height: 1.5;
}

.service3 {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.service3 img {
  width: 50%;
  height: 50%;
  object-fit: cover;
  margin: 20px;
  border-radius: 20px;
}

.service3 video {
  width: 50%;
  height: 50%;
  object-fit: cover;
  border-radius: 20px;
}

@media screen and (max-width: 768px) {
  .service3 {
    flex-direction: column;
  }

  .service3 img {
    width: 100%;
    height: auto;
  }

  .service3 video {
    width: 100%;
    height: auto;
  }
}




/*-- Contact us --*/

.location{
  width: 80%;
  margin:auto;
  padding: 80px 0;
}

.location iframe{
  width: 100%;
}
.contact-us{
  width: 80%;
  margin: auto;
}
.contact-col{
  flex-basis: 48%;
  margin-bottom: 30px;
}
.contact-col div{
  display: flex;
  align-items: center;
  margin-bottom: 40px;
}
.contact-col div .fa{
  font-size: 28px;
  color: #1d7d81;
  margin: 10px;
  margin-right: 30px;
}
.contact-col input, .contact-col textarea{
  width: 100%;
  padding: 15px;
  margin-bottom: 17px;
  outline: none;
  border: 1px solid #9FC8C9;
  box-sizing: border-box;
}

.sendbutton {
  display: block;
  width: 100%;
  padding: 10px;
  border-radius: 5px;
  background-color: #0460b6;
  color: #fff;
  border: none;
  cursor: pointer;
}

/*-- About Us Page --*/

.aboutuscontent {
  padding: 20px;
  text-align: justify;
}

.aboutuscontent h1 {
  font-size: 36px;
  margin-bottom: 0;
}

.aboutuscontent p {
  margin-bottom: 10px;
}




/*-- Footer --*/

.emptyspace {
  padding: 20px;
  min-height: calc(10vh - 5px); /* Adjust for body height */
}

footer {
  background-color: #0460b6;
  padding: 20px 0;
}

.footer-container {
  display: flex;
  justify-content: space-between;
}

.footer-column {
  width: 30%;
  padding: 10px;
}

.footer-column h2 {
  color: #ffffff;
  font-size: 18px;
  margin-bottom: 10px;
}

.footer-column ul {
  color: #ffffff;
  list-style: none;
  padding: 0;
}

.footer-column li {
  margin-bottom: 5px;
}

.footer-column a {
  color: #ffffff;
  text-decoration: none;
  font-size: 16px;
}

.social-media-icons {
  display: flex;
  flex-wrap: wrap;
}

.social-media-icons li {
  margin: 0 5px;
}

.social-media-icons a {
  color: #ffffff;
}

.copyright {
  color: #ffffff;
  text-align: center;
  font-size: 12px;
  margin-top: 10px;
}


@media screen and (max-width: 768px) {
  .footer-column {
    width: 100%;
    margin-bottom: 20px;
  }
}


a {
  color: #222;
  transition: color 0.3s ease-in-out;
}

a:hover {
  color: #333;
}
